public class Pet
{
    private String name;
    private int age;          
    private double weight;     
    private static int nbPets=0; 
    private static int nbPetsPrinted=0;

    public Pet(String newName)
    {
        name = newName;
        age = 0;
        weight = 0;
        nbPets++;
    } 

    public Pet(int newAge)
    {
        name = "No name yet.";
        weight = 0;
        nbPets++;
        if (newAge < 0)
            System.out.println("Error: Negative age.");
        else
            age = newAge;
    }

    public Pet(double newWeight)
    {
        name = "No name yet";
        age = 0;
        nbPets++;
        if (newWeight < 0)
            System.out.println("Error: Negative weight.");
        else
            weight = newWeight;
    }

    public Pet(String newName, int newAge, double newWeight)
    {
        name = newName;
        nbPets++;
        if ((newAge < 0) || (newWeight < 0))
        {
            System.out.println("Error: Negative age or weight.");
        }
        else
        {
            age = newAge;
            weight = newWeight;
        }
    }

    public void died()
    {
        nbPets--;   
    }

    public static int getNbPets()
    {
        return nbPets;   
    }


    public void set(String newName, int newAge, double newWeight)
    {
        name = newName;
        if ((newAge < 0) || (newWeight < 0))
        {
            System.out.println("Error: Negative age or weight.");
        }
        else
        {
            age = newAge;
            weight = newWeight;
        }
    }

    public void setName(String newName)
    {
        name = newName; 
    }

    public void setAge(int newAge)
    {
        if (newAge < 0)
            System.out.println("Error: Negative age.");
        else
            age = newAge;
    }

    public void setWeight(double newWeight)
    {
        if (newWeight < 0)
            System.out.println("Error: Negative weight.");
        else
            weight = newWeight;
    }

    public String getName( )
    {
        return name;
    }

    public int getAge( )
    {
        return age;
    }

    public double getWeight( )
    {
        return weight;
    }

    public String toString( )
    {
        nbPetsPrinted++;
        return (nbPetsPrinted + ":Name: " + name + " Age: " + age + " years "
                       + "\nWeight: " + weight + " pounds ");
    }

    public boolean equals(Pet anotherPet)
    {
    	return (this.name.equals(anotherPet.getName()) &&
    			this.age == anotherPet.getAge() &&
    			this.weight == anotherPet.getWeight());
    }
    
    public static void main(String[] args)
    {
		System.out.println("\n\nIIIC:");
		System.out.println("--------------");
    	Pet myPet = new Pet("fido", 10, 30);
    	Pet yourPet = new Pet("fido", 10, 30);
    	if(myPet.equals(yourPet))
    	   System.out.println("Thief! Give me back my pet!");
    }
    
}



